Name:           perl-qpid
Version:        0.26
Release:        3%{?dist}
Summary:        Perl bindings for the Qpid messaging framework

License:        ASL 2.0
URL:            http://qpid.apache.org/
Source0:        http://www.apache.org/dist/qpid/%{version}/perl-qpid-%{version}.tar.gz
Patch1:         0001-QPID-5499-Fix-Ruby-Perl-bindings-when-built-with-Wer.patch
Patch2:         0002-QPID-5556-Provide-the-right-Perl-packages-in-top-lev.patch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  qpid(client-devel)%{?_isa} = %{version}
BuildRequires:  swig

%{?perl_default_filter}

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       qpid(client)%{?_isa} = %{version}

# Until BZ#1010397 is fixed
ExcludeArch:    %{arm}

%description
%{summary}.

# === prep/build/install

%prep
%setup -q

%patch1 -p6
%patch2 -p6


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%{perl_vendorarch}/*
%doc LICENSE
%exclude %dir %{perl_vendorarch}/auto/
%doc examples
%doc %{_mandir}/man3/*gz


%changelog
* Fri May 30 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.26-3
- Updated the requires to use virtual packages.

* Tue Feb 25 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.26-2
- QPID-5556: Fix top level Perl packages.

* Mon Feb 24 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.26-1
- Rebased on Qpid 0.26.
- Re-enabled building on ARM.

* Wed Feb 19 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.24-2
- First build for epel7.
- Updated the qpid and qpid_messaging modules.
- * Removed unneeded provides as a result.

* Mon Sep 23 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-1
- Rebased on Qpid 0.24.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.22-4
- Perl 5.18 rebuild

* Mon Jul 15 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.22-3
- Updated build to fix dependency issues on qpid-cpp.

* Tue Jun 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.22-2
- Perl Makefile.PL now generates the Swig bindings source.
- Resolves: QPID-4939

* Fri Jun 14 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.22-1
- Rebased on Qpid 0.22.
- Added the perl(qpid) and perl(qpid_messaging) virtual packages.
- Resolves: BZ#964168
- Set the source URL to point to official releases.

* Mon Feb 18 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.20-1
- Rebased on Qpid 0.20.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 27 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.18-3
- Bumped release to be equal to the current qpid-cpp release.
- qpid-cpp still had a perl-qpid subpackage that collided with this one.

* Wed Sep 26 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.18-2
- Rebuild due to release problems in Koji of 0.18-1.

* Mon Sep 17 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.18-1
- Rebased on Qpid 0.18.

* Fri Aug 10 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16-1.2
- Fixed removed split on vendor arch path.
- Removed defattr from files section.

* Fri Jun 29 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16-1.1
- Removed the noarch comments from the build and install sections.
- Removed the empty doc line.
- Made the examples directory a doc element.

* Mon Jun 18 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.16-1
- Initial package based on the Perl-only source release.
